# Slurm-web

## Overview

<img
  src="assets/logo/bitmaps/slurm-web_full_white_medium.png"
  alt="Slurm-web logo"
  align="right">

Slurm-web is an open source web dashboard for Slurm based HPC clusters.

[Slurm](https://slurm.schedmd.com/) is the world leading workload manager for
HPC clusters with all most advanced features to manage jobs and resources
efficiently with a powerful command-line interface (CLI).

Slurm-web provides a clear graphical user interface with views to track your
jobs, intuitive insights and advanced visualizations on top of Slurm to monitor
status of HPC supercomputers in your organization, in a web browser on all your
devices.

<p align="center">
<img
  src="assets/screenshots/assemblies/bitmaps/slurm-web_devices-medium.png"
  alt="Slurm-web on all devices"
  width="600px"
  style="margin: 0 auto;">
<p>

Many features in a reactive & responsive web UI:

* Instant jobs filtering and sorting
* Live jobs status update
* Advanced visualization of node status with racking topology
* Intuitive visualization of QOS and advanced reservations
* Multi-clusters support
* LDAP authentication
* Advanced RBAC permissions management
* Transparent caching

Get more details in
[Slurm-web advanced features overview](https://docs.rackslab.io/slurm-web/overview/overview.html).

## Quickstart

To install and start using Slurm-web in a few steps, follow the
[quickstart guide](https://docs.rackslab.io/slurm-web/install/quickstart.html)!
Packages are available for most Linux distributions for easy installation and
upgrade.

## Documentation

The [full documentation](https://docs.rackslab.io/slurm-web/) of Slurm-web is
available online with software architecture details, installation guide,
configuration references, troubleshooting guide, etc.

## Status

Slurm-web is considered stable and ready for production.

## Authors

Slurm-web is developed and maintained by [Rackslab](https://rackslab.io),
software editor of open source solutions designed to help HPC supercomputers
administration, operations and management.

## Support

Need help to deploy or setup Slurm-web? There are multiple ways to get technical
support.

### Community

Multiple community channels are available to ask questions:

* **Matrix Chat** [#slurm-web:talk.rackslab.io](https://matrix.to/#/#slurm-web:talk.rackslab.io):
  instant messaging for quick feedback and help.

> [!NOTE]
> A [Matrix account](https://matrix.org/docs/chat_basics/matrix-for-im/#creating-a-matrix-account)
> is required to access the chat room. It can be created in few steps on any
> Matrix network public provider such as [matrix.org](https://matrix.org) or
> [gitter.im](https://gitter.im/#apps).

* [**GitHub Discussions Q&A**](https://github.com/rackslab/slurm-web/discussions/categories/q-a):
  post your questions with more context and details for more in-depth answers.

This support is provided by the community with best-effort participation of
Rackslab team. Please mind that people might not be available to answer your
questions.

### Professional

[Rackslab](https://rackslab.io) offers commercial support to help organizations
secure their deployment of Slurm-web with service level agreement (SLA) and
minimal response time.

Our professional team has a unique expertise to offer a wide range of services
from assistance to setup the installation to the most advanced bug resolution.
[Contact us](https://rackslab.io/en/contact/) for more information.

## Development

Want to contribute? Documentation to deploy a development environment is
available in
[development README.md](https://github.com/rackslab/slurm-web/blob/main/dev/README.md)

## License

Slurm-web is distributed under the terms of the GNU General Public License v3.0
or later (GPLv3+).
